io.undertow.client

## Interface ClientProvider

All Known Implementing Classes:
  AjpClientProvider, Http2ClearClientProvider, Http2ClientProvider, Http2PriorKnowledgeClientProvider, HttpClientProvider

    public interface ClientProvider

A client connection provider. This allows the difference between various connection providers to be abstracted away (HTTP, AJP etc).

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`Set<String>` `handlesSchemes()`

### Method Detail

#### handlesSchemes

    Set<String> handlesSchemes()

#### connect

    void connect(ClientCallback<ClientConnection> listener,
                 URI uri,
                 org.xnio.XnioWorker worker,
                 org.xnio.ssl.XnioSsl ssl,
                 ByteBufferPool bufferPool,
                 org.xnio.OptionMap options)

#### connect

    void connect(ClientCallback<ClientConnection> listener,
                 InetSocketAddress bindAddress,
                 URI uri,
                 org.xnio.XnioWorker worker,
                 org.xnio.ssl.XnioSsl ssl,
                 ByteBufferPool bufferPool,
                 org.xnio.OptionMap options)

#### connect

    void connect(ClientCallback<ClientConnection> listener,
                 URI uri,
                 org.xnio.XnioIoThread ioThread,
                 org.xnio.ssl.XnioSsl ssl,
                 ByteBufferPool bufferPool,
                 org.xnio.OptionMap options)

#### connect

    void connect(ClientCallback<ClientConnection> listener,
                 InetSocketAddress bindAddress,
                 URI uri,
                 org.xnio.XnioIoThread ioThread,
                 org.xnio.ssl.XnioSsl ssl,
                 ByteBufferPool bufferPool,
                 org.xnio.OptionMap options)